## org.codehaus.groovy.grails.web.pages.ext.jsp
Class JspFragmentImpl

    java.lang.Object
      javax.servlet.jsp.tagext.JspFragment
          org.codehaus.groovy.grails.web.pages.ext.jsp.JspFragmentImpl

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class JspFragmentImpl

extends JspFragment
implements groovy.lang.GroovyObject

Constructor Summary
`JspFragmentImpl(GroovyPagesPageContext pageContext, FastStringWriter body)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`FastStringWriter` `getBody()`
`JspContext` `getJspContext()`
`groovy.lang.MetaClass` `getMetaClass()`
`GroovyPagesPageContext` `getPageContext()`
`Object` `getProperty(String property)`
`void` `invoke(Writer out)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setBody(FastStringWriter value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setPageContext(GroovyPagesPageContext value)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspFragmentImpl

    public JspFragmentImpl(GroovyPagesPageContext pageContext,
                           FastStringWriter body)

Method Detail

### getPageContext

    public GroovyPagesPageContext getPageContext()

### setPageContext

    public void setPageContext(GroovyPagesPageContext value)

### getBody

    public FastStringWriter getBody()

### setBody

    public void setBody(FastStringWriter value)

### getJspContext

    public JspContext getJspContext()

  Specified by:
    `getJspContext` in class `JspFragment`

### invoke

    public void invoke(Writer out)

  Specified by:
    `invoke` in class `JspFragment`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project